package com.ruoyi.web.modules.region.domain;

/**
 * 行政区域 biz_region
 */
public class BizRegion
{
    private Integer id;

    /** 父级 id，省级 pid=0 */
    private Integer pid;

    private String name;

    /** 1省 2市 3区县 */
    private Integer type;

    /** 行政区划编码 */
    private Integer code;

    public Integer getId()
    {
        return id;
    }

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getPid()
    {
        return pid;
    }

    public void setPid(Integer pid)
    {
        this.pid = pid;
    }

    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public Integer getType()
    {
        return type;
    }

    public void setType(Integer type)
    {
        this.type = type;
    }

    public Integer getCode()
    {
        return code;
    }

    public void setCode(Integer code)
    {
        this.code = code;
    }
}
